For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAccept amendment
      • DELCancel amendment
      • POSTConfirm amendment
      • GETContract amendment PDF
      • POSTCreate amendment
      • GETGet amendment by ID
      • GETGet amendment validation settings
      • GETGet amendments by contract
      • GETRetrieve Effective Date Limitations
      • POSTSign a contract amendment (employee)
      • PATCHUpdate amendment
      • POSTValidate amendment data points
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Amendments

Validate amendment data points

POST
/eor/contracts/:contract_id/amendments/validate
POST
/rest/v2/eor/contracts/:contract_id/amendments/validate
$curl -X POST https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validate \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "job_title": "Product Manager"
> }
>}'
1{
2 "data": {
3 "scope": {
4 "valid": false,
5 "message": "Scope exceeds maximum length of 20,000 characters."
6 },
7 "job_title": {
8 "valid": true,
9 "message": null
10 }
11 }
12}

Validates amendment data points for a given contract against any external validation rules before an amendment is submitted. This call should be made prior to creating an amendment to confirm that the proposed data points are acceptable. Token scopes: contracts:write

Was this page helpful?
Previous

Retrieve Benefits for EOR Contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "alphanumeric"
The unique identifier of the employee contract.

Request

This endpoint expects an object.
datamap from strings to anyOptional

Dynamic object containing amendment fields. Supports flexible keys such as scope, job_title, or others.

Response

Validation result
datamap from strings to objects
Validation results keyed by amendment field

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication